import { Injectable } from '@angular/core';
import { Http, Response } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import 'rxjs/add/operator/catch';

@Injectable()
export class TokenAuth {

    token: string;

    constructor(public http: Http) {
        console.log('Hello TokenAuth Provider');
    }

    getToken() {

    }

    // Check if token exist on mobile device
    private tokenExists(): boolean {
        return true;
    }

    // Get token from server
    private getTokenFromServer(url: string, username: string, password: string): Promise<string> {
        let body = JSON.stringify({
            username: username,
            password: password
        });

        return this.http.post(url, body).toPromise().then(this.extractData).catch(this.handleError);
    }

    // Extract data from http response
    private extractData(response: Response) {
        let body = response.json();

        return body.data || {};
    }

    // Handle error if ocurred
    private handleError(error: any) {
        return Promise.reject(error.response);
    }
}
